CharLess Class Reference

Public class that encapsulates character comparison. More...

`#include <GenString.h>`

Collaboration diagram for CharLess:

## Public Member Functions

| CharLess (Char::eCompareType compareType=Char::eCASE_SENSITIVE)
CharLess & | operator= (const CharLess &in)
bool | operator() (const char c1, const char c2) const
Char::eCompareType | GetCompareType ()

## Detailed Description

Public class that encapsulates character comparison.

This class encapsulates character comparison. It supports the following compare types: case-sensitive and case-insensitive.

## Constructor & Destructor Documentation

## CharLess()

CharLess::CharLess | ( | Char::eCompareType | compareType = Char::eCASE_SENSITIVE | ) |

References Char::eCASE_SENSITIVE.

Referenced by operator=().

## Member Function Documentation

## GetCompareType()

Char::eCompareType CharLess::GetCompareType | ( |  | ) |

inline

## operator()()

bool CharLess::operator() | ( | const char | c1,
|  | const char | c2 ) const

## operator=()

CharLess & CharLess::operator= | ( | const CharLess & | in | ) |

References CharLess().

The documentation for this class was generated from the following file:

- rcsb/GenString.h